@echo off
rem Copyright (C)  2010  Alain Quarr
rem    Permission is granted to copy, distribute and/or modify this document
rem    under the terms of the GNU Free Documentation License, Version 1.3
rem    or any later version published by the Free Software Foundation;
rem    with no Invariant Sections, no Front-Cover Texts, and no Back-Cover Texts.
rem    
rem    Merci de m'envoyer un mail avec toutes remarques et/ou modifications.
rem    alain.quarre@gmail.com
rem
rem
rem    Download script at http://users.skynet.be/cinq/Seven.rar

rem *##############################################*
rem # Modification des paramtres de position      #
rem # des dossier utilisateurs par defaut          #
rem # Pour Seven                                   #
rem # Script de suppression des anciens dossiers   #
rem # Script de cration des jonctions             #
rem # du dossier utilisateurs par defaut           #
rem # Auteur: Alain Quarr                         #
rem # Date de cration: 14/01/2010                 #
rem # NE PAS UTILISER SEUL                         #
rem #                                              #
rem *##############################################*
title Junctions Creation
mode con lines=20 cols=90
%~d0
cd %~p0

IF NOT EXIST PositionDefaultFolderSevenModular.ini goto NoIniFile

:un
if not exist ChargementRucheDefaultUser.cmd goto deux
goto end

:deux
if not exist INFO.txt goto trois
goto end

:trois
if not exist PositionDefaultFolderSevenModular.cmd goto quatre
goto end

:quatre
if not exist RestoreOriginal.cmd goto cinq
goto end

:cinq
if not exist ShowIniFile.cmd goto script
goto end

:script
Echo Log:>"Log.txt"
echo %date% - %time%>>"Log.txt"
echo ==========================================================================================================================================================>>"Log.txt"
echo Dossiers dans %userprofile% avant modif>>"Log.txt"
dir "%userprofile%\">>"Log.txt"
echo ==========================================================================================================================================================>>"Log.txt"
echo ==========================================================================================================================================================>>"Log.txt"
echo Jonctions dans %userprofile% avant modif>>"Log.txt"
dir "%userprofile%\" /AL>>"Log.txt"
echo ==========================================================================================================================================================>>"Log.txt"

Echo Suppression des dossiers prsents dans %userprofile%>>"Log.txt"
FOR /F "eol=< delims=* tokens=1-7" %%a in (PositionDefaultFolderSevenModular.ini) do (
        RMDIR "%userprofile%\%%e" /S /Q
        if %%e == History RMDIR "%userprofile%\AppData\Local\Microsoft\Windows\History" /S /Q
        )

Echo Cration des jonctions  la place des dossiers
FOR /F "eol=< delims=* tokens=1-7" %%a in (PositionDefaultFolderSevenModular.ini) do (
        If %%c == AddUserName mklink /J "%userprofile%\%%e" "%%f\%username%\%%e"
        If %%c == NoUserName  mklink /J "%userprofile%\%%e" "%%f\%%e"
        )

echo ==========================================================================================================================================================>>"Log.txt"
Echo Cration des jonctions avec les noms locaux
FOR /F "eol=< delims=* tokens=1-7" %%a in (PositionDefaultFolderSevenModular.ini) do (
        If %%c == AddUserName mklink /J "%userprofile%\%%a" "%%f\%username%\%%e"
        If %%c == NoUserName mklink /J "%userprofile%\%%a" "%%f\%%e"
        attrib /L "%userprofile%\%%a" +S +H +I
        icacls    "%userprofile%\%%a" /deny  "*S-1-1-0":"(RD)" /L
        )

Echo Cration de la Jonction History
FOR /F "eol=< delims=* tokens=1-7" %%a in (PositionDefaultFolderSevenModular.ini) do (
        If %%c == AddUserName If %%e == History mklink /J "%userprofile%\AppData\Local\Microsoft\Windows\History" "%%f\%username%\%%e"
        If %%c == NoUserName  If %%e == History mklink /J "%userprofile%\AppData\Local\Microsoft\Windows\History" "%%f\%%e"
        If %%e == History attrib /L "%userprofile%\AppData\Local\Microsoft\Windows\History" +S +H +I
        If %%e == History icacls    "%userprofile%\AppData\Local\Microsoft\Windows\History" /deny  "*S-1-1-0":"(RD)" /L
        )

echo ==========================================================================================================================================================>>"Log.txt"

Echo Cration de la Jonction Pictures dans Documents avec le nom local
FOR /F "eol=< delims=* tokens=1-7" %%a in (PositionDefaultFolderSevenModular.ini) do (
        If %%c == AddUserName If %%e == Pictures mklink /J "%userprofile%\Documents\%%a" "%%f\%username%\%%e"
        If %%c == NoUserName  If %%e == Pictures mklink /J "%userprofile%\Documents\%%a" "%%f\%%e"
        If %%e == Pictures attrib /L "%userprofile%\Documents\%%a" +S +H +I
        If %%e == Pictures icacls    "%userprofile%\Documents\%%a" /deny  "*S-1-1-0":"(RD)" /L
        )

Echo Cration de la Jonction Videos dans Documents avec le nom local
FOR /F "eol=< delims=* tokens=1-7" %%a in (PositionDefaultFolderSevenModular.ini) do (
        If %%c == AddUserName If %%e == Videos mklink /J "%userprofile%\Documents\%%a" "%%f\%username%\%%e"
        If %%c == NoUserName  If %%e == Videos mklink /J "%userprofile%\Documents\%%a" "%%f\%%e"
        If %%e == Videos attrib /L "%userprofile%\Documents\%%a" +S +H +I
        If %%e == Videos icacls    "%userprofile%\Documents\%%a" /deny  "*S-1-1-0":"(RD)" /L
        )

Echo Cration de la Jonction Music dans Documents avec le nom local
FOR /F "eol=< delims=* tokens=1-7" %%a in (PositionDefaultFolderSevenModular.ini) do (
        If %%c == AddUserName If %%e == Music mklink /J "%userprofile%\Documents\%%a" "%%f\%username%\%%e"
        If %%c == NoUserName  If %%e == Music mklink /J "%userprofile%\Documents\%%a" "%%f\%%e"
        If %%e == Music attrib /L "%userprofile%\Documents\%%a" +S +H +I
        If %%e == Music icacls    "%userprofile%\Documents\%%a" /deny  "*S-1-1-0":"(RD)" /L
        )

echo ==========================================================================================================================================================>>"Log.txt"

Echo Cration de la Jonction Pictures dans Documents avec le nom anglais
FOR /F "eol=< delims=* tokens=1-7" %%a in (PositionDefaultFolderSevenModular.ini) do (
        If %%c == AddUserName If %%e == Pictures mklink /J "%userprofile%\Documents\%%b" "%%f\%username%\%%e"
        If %%c == NoUserName  If %%e == Pictures mklink /J "%userprofile%\Documents\%%b" "%%f\%%e"
        If %%e == Pictures attrib /L "%userprofile%\Documents\%%b" +S +H +I
        If %%e == Pictures icacls    "%userprofile%\Documents\%%b" /deny  "*S-1-1-0":"(RD)" /L
        )

Echo Cration de la Jonction Videos dans Documents avec le nom anglais
FOR /F "eol=< delims=* tokens=1-7" %%a in (PositionDefaultFolderSevenModular.ini) do (
        If %%c == AddUserName If %%e == Videos mklink /J "%userprofile%\Documents\%%b" "%%f\%username%\%%e"
        If %%c == NoUserName  If %%e == Videos mklink /J "%userprofile%\Documents\%%b" "%%f\%%e"
        If %%e == Videos attrib /L "%userprofile%\Documents\%%b" +S +H +I
        If %%e == Videos icacls    "%userprofile%\Documents\%%b" /deny  "*S-1-1-0":"(RD)" /L
        )

Echo Cration de la Jonction Music dans Documents avec le nom anglais
FOR /F "eol=< delims=* tokens=1-7" %%a in (PositionDefaultFolderSevenModular.ini) do (
        If %%c == AddUserName If %%e == Music mklink /J "%userprofile%\Documents\%%b" "%%f\%username%\%%e"
        If %%c == NoUserName  If %%e == Music mklink /J "%userprofile%\Documents\%%b" "%%f\%%e"
        If %%e == Music attrib /L "%userprofile%\Documents\%%b" +S +H +I
        If %%e == Music icacls    "%userprofile%\Documents\%%b" /deny  "*S-1-1-0":"(RD)" /L
        )

echo ==========================================================================================================================================================>>"Log.txt"

Echo Scurit des jonctions  %userprofile%
FOR /F "eol=< delims=* tokens=1-7" %%a in (PositionDefaultFolderSevenModular.ini) do (
        attrib /L "%userprofile%\%%e" +S +H +I
        icacls    "%userprofile%\%%e" /deny  "*S-1-1-0":"(RD)" /L
        )

Echo Scurit des dossiers
FOR /F "eol=< delims=* tokens=1-7" %%a in (PositionDefaultFolderSevenModular.ini) do (
        if %%d == Security If %%c == AddUserName icacls "%%f\%username%\%%e" /grant "%userdomain%\%username%":"(OI)(CI)(F)"
        if %%d == Security If %%c == AddUserName icacls "%%f\%username%\%%e" /inheritance:r
        if %%d == Security If %%c == AddUserName icacls "%%f\%username%\%%e" /grant *S-1-5-18:"(OI)(CI)(F)"
        if %%d == Security If %%c == AddUserName icacls "%%f\%username%\%%e" /grant *S-1-5-32-544:"(OI)(CI)(F)"
        )


echo ==========================================================================================================================================================>>"Log.txt"
echo Dossiers dans %userprofile% aprs modif>>"Log.txt"
dir "%userprofile%\">>"Log.txt"
echo ==========================================================================================================================================================>>"Log.txt"
echo ==========================================================================================================================================================>>"Log.txt"
echo Jonctions dans %userprofile% aprs modif>>"Log.txt"
dir "%userprofile%\" /AL>>"Log.txt"
echo ==========================================================================================================================================================>>"Log.txt"
echo ==========================================================================================================================================================>>"Log.txt"
echo Jonctions dans Documents aprs modif>>"Log.txt"
FOR /F "eol=< delims=* tokens=1-7" %%a in (PositionDefaultFolderSevenModular.ini) do (
        if %%b == Personal if %%c == AddUserName dir "%%f\%username%\%%e" /AL>>"Log.txt"
        if %%b == Personal if %%c == NoUserName  dir "%%f\%%e" /AL>>"Log.txt"
        )
echo ==========================================================================================================================================================>>"Log.txt"

attrib PositionDefaultFolderSevenModular.ini +S +H

Goto End

:NoIniFile
cls
Echo Le fichier PositionDefaultFolderSevenModular.ini est absent
Goto end

:end
cls
echo end

Echo Log Final Aprs Modif>>"Log.txt"
echo END: %date% - %time%>>"Log.txt"