@Echo off
rem Copyright (C)  2010  Alain Quarr
rem    Permission is granted to copy, distribute and/or modify this document
rem    under the terms of the GNU Free Documentation License, Version 1.3
rem    or any later version published by the Free Software Foundation;
rem    with no Invariant Sections, no Front-Cover Texts, and no Back-Cover Texts.
rem    
rem    Merci de m'envoyer un mail avec toutes remarques et/ou modifications.
rem    alain.quarre@gmail.com
rem
rem
rem    http://www.forum-seven.com/forum/viewtopic.php?f=8&t=4073

rem ###########################################
rem # Modification des paramtres de position #
rem # des dossiers utilisateurs par dfaut    #
rem # Auteur: Alain Quarr                    #
rem # Date de cration: 31/10/2008 pour XP    #
rem # Adaptation Windows Seven: 14/01/2010    #
rem # Ajout de modularit: 02/03/2010        #
rem #                                         #
rem ###########################################
rem http://www.forum-seven.com/forum/viewtopic.php?f=8&t=4073

mode con lines=10 cols=100
%~d0
cd %~p0

rem definissez ici votre langue par dfaut
rem set your default language here
set lang=EN
if not exist "%lang%" goto DefaultLanguageChoice

:LanguageChoice
cls
FOR /F "eol=< delims=; tokens=1-2" %%Q in ('findstr /B /C:STR033 %lang%\Lang.ini') do echo %%R

for /f "tokens=1" %%G in ('dir /ad /b') do (
        echo %%G
        )
echo -------------------
FOR /F "eol=< delims=; tokens=1-2" %%Q in ('findstr /B /C:STR034 %lang%\Lang.ini') do echo %%R
FOR /F "eol=< delims=; tokens=1-2" %%Q in ('findstr /B /C:STR035 %lang%\Lang.ini') do echo %%R %lang%
set /p Lchoice=
if "%Lchoice%" NEQ "" if not exist "%Lchoice%" goto LanguageChoice
if "%Lchoice%" NEQ "" set lang=%Lchoice%


IF NOT EXIST "%lang%\PositionDefaultFolderSevenModular.ini" goto NoIniFile
cls
FOR /F "eol=< delims=* tokens=1-7" %%a in (%lang%\PositionDefaultFolderSevenModular.ini) do (
        Echo __________________________________________________________________________________________________
        Echo [1a] [Local name]                  %%a 
        Echo [2b] [Registry key Name]           %%b
        Echo [3c] [AddUserName or NoUserName]   %%c
        Echo [4d] [Security or NoSecurity]      %%d
        Echo [5e] [Folder Name]                 %%e
        Echo [6f] [Folder Destination]          %%f
        Echo [7g] [Hide-Sys or nul]             %%g 
        Echo __________________________________________________________________________________________________
        Pause>nul
        CLS
        )

goto end

:NoIniFile
cls
FOR /F "eol=< delims=; tokens=1-2" %%Q in ('findstr /B /C:STR021 %lang%\Lang.ini') do echo %%R
Goto end

:DefaultLanguageChoice
FOR /F "eol=< delims=; tokens=1-2" %%Q in ('findstr /B /C:STR037 FR\Lang.ini') do echo %%R
FOR /F "eol=< delims=; tokens=1-2" %%Q in ('findstr /B /C:STR037 EN\Lang.ini') do echo %%R
Goto end

:end
pause