@echo off
rem Copyright (C)  2010  Alain Quarr
rem    Permission is granted to copy, distribute and/or modify this document
rem    under the terms of the GNU Free Documentation License, Version 1.3
rem    or any later version published by the Free Software Foundation;
rem    with no Invariant Sections, no Front-Cover Texts, and no Back-Cover Texts.
rem    
rem    Merci de m'envoyer un mail avec toutes remarques et/ou modifications.
rem    alain.quarre@gmail.com
rem
rem
rem    http://www.forum-seven.com/forum/viewtopic.php?f=8&t=4073

rem ###################################################
rem # Modification des paramtres de position         #
rem # du dossier public et dplacement des fichiers   #
rem # Auteur: Alain Quarr                            #
rem # Date de cration: 10/02/2010 pour Windows Seven #
rem #                                                 #
rem #                                                 #
rem ###################################################

mode con lines=32 cols=80
%~d0
cd %~p0
Rem Original Value = %SystemDrive%\Users\Public
rem Test Administrateur en chargeant la ruche default user
reg load  Hkey_local_machine\.LoadDefUser "C:\Users\Default\NTUser.dat">nul
if %errorlevel% == 1 goto NoLoad
REG UNLOAD Hkey_local_machine\.LoadDefUser>nul

cls
Echo TOUTES LES APPLICATIONS DOIVENT ETRE FERMEES
Echo *
Echo   Ce script fait les actions suivantes
Echo - Stop le processus Explorer.exe
Echo - modifie la position du dossier public
Echo - Dplace le dossier public
Echo - Place un point de jonction  l'ancien emplacement du dossier Public
Echo - Replace les points de jonctions dans le nouveau dossier public
Echo   Ce script NE FAIT PAS les actions suivantes
Echo - Mise  jours des liaisons dans les bibliotheques
Echo   Celles-ci seront fonctionnelles mais en doublon.
Echo        Si c'est OK, appuyez sur une touche...
pause>nul
:Comm
cls
Echo L'actuel dossier public est
echo %Public%
set NewPosition=C:\Users
Echo Il sera dplac vers %NewPosition%\Public
Echo ou alors, introduisez le nouvel emplacement
Echo sous la forme X:\Documents
Echo Le sous-dossier "Public" est automatiquement ajout
set /p NewPosition="Nouvel emplacement: "
if "%public%" == "%NewPosition%\Public" goto NoChange

REM Vrification de la position
set VerifPosition=%NewPosition:~-1%
if %VerifPosition% == \ goto PositionError

set VerifPosition=%NewPosition:~1,1%
if NOT %VerifPosition% == : goto PositionError

set VerifPosition=%NewPosition:~2,1%
if NOT %VerifPosition% == \ goto PositionError

Rem Vrification de la prsence d'un point de jonction  la place du  nouvel emplacement du dossier Public
for /f "tokens=1" %%i in ('dir "%NewPosition%" /al /b ^| find "Public"') do If %%i == Public goto JonctionExist>nul

if NOT exist "%NewPosition%\Public" mkdir "%NewPosition%\Public" > nul
if NOT exist "%NewPosition%\Public" Goto FolderError

:Comfirmation
cls
Echo Le dossier Public sera dplac vers
echo %NewPosition%\Public
Echo Si vous tes d'accord, appuyez sur une touche
Echo Sinon, recommencez.
pause>nul

:Modif
cls
taskkill /F /IM explorer.exe
Echo Modification du registre
REG ADD "HKEY_LOCAL_MACHINE\SOFTWARE\Microsoft\Windows NT\CurrentVersion\ProfileList" /v "Public" /t REG_EXPAND_SZ /d "%NewPosition%\Public" /f

Rem Suppression des jonctions contenues dans l'ancien emplacement
for /f "delims=*" %%i in ('dir "%Public%" /s /al /b') do (
              RMDIR "%%i"
              )
Echo Copie des documents de %Public% vers %NewPosition%
robocopy "%Public%" "%NewPosition%\Public" /MOVE /E /IS /FP /NDL /XJ /XJD /XJF /NP /R:0 /W:1 /TEE /LOG:"%userprofile%\Desktop\Log-MovePublicFolder.txt"
cls

Echo crations d'un point de jonction  la place de l'ancien dossier Public
Echo ============================================================>"%userprofile%\desktop\LogJonctions.txt"
mklink /J "%Public%" "%NewPosition%\Public">>"%userprofile%\desktop\LogJonctions.txt"
attrib /L "%Public%" +S +H +I
icacls    "%Public%" /deny  "*S-1-1-0":(RD) /L
Echo ============================================================>>"%userprofile%\desktop\LogJonctions.txt"
dir "%Public%\.." /AL>>"%userprofile%\desktop\LogJonctions.txt"
Echo ============================================================>>"%userprofile%\desktop\LogJonctions.txt"

Echo crations des points de jonctions supplmentaires dans le dossier Public
Echo Versions francaise et englaise.
mklink /J "%NewPosition%\Public\Documents\Mes images" "%NewPosition%\Public\Pictures">>"%userprofile%\desktop\LogJonctions.txt"
attrib /L "%NewPosition%\Public\Documents\Mes images" +S +H +I
icacls    "%NewPosition%\Public\Documents\Mes images" /deny  "*S-1-1-0":(RD) /L

mklink /J "%NewPosition%\Public\Documents\Ma musique" "%NewPosition%\Public\Music">>"%userprofile%\desktop\LogJonctions.txt"
attrib /L "%NewPosition%\Public\Documents\Ma musique" +S +H +I
icacls    "%NewPosition%\Public\Documents\Ma musique" /deny  "*S-1-1-0":(RD) /L

mklink /J "%NewPosition%\Public\Documents\Mes vidos" "%NewPosition%\Public\Videos">>"%userprofile%\desktop\LogJonctions.txt"
attrib /L "%NewPosition%\Public\Documents\Mes vidos" +S +H +I
icacls    "%NewPosition%\Public\Documents\Mes vidos" /deny  "*S-1-1-0":(RD) /L

mklink /J "%NewPosition%\Public\Documents\My Pictures" "%NewPosition%\Public\Pictures">>"%userprofile%\desktop\LogJonctions.txt"
attrib /L "%NewPosition%\Public\Documents\My Pictures" +S +H +I
icacls    "%NewPosition%\Public\Documents\My Pictures" /deny  "*S-1-1-0":(RD) /L

mklink /J "%NewPosition%\Public\Documents\My Music" "%NewPosition%\Public\Music">>"%userprofile%\desktop\LogJonctions.txt"
attrib /L "%NewPosition%\Public\Documents\My Music" +S +H +I
icacls    "%NewPosition%\Public\Documents\My Music" /deny  "*S-1-1-0":(RD) /L

mklink /J "%NewPosition%\Public\Documents\My Videos" "%NewPosition%\Public\Videos">>"%userprofile%\desktop\LogJonctions.txt"
attrib /L "%NewPosition%\Public\Documents\My Videos" +S +H +I
icacls    "%NewPosition%\Public\Documents\My Videos" /deny  "*S-1-1-0":(RD) /L
Echo ============================================================>>"%userprofile%\desktop\LogJonctions.txt"
dir "%NewPosition%\Public\Documents" /AL>>"%userprofile%\desktop\LogJonctions.txt"
Echo ============================================================>>"%userprofile%\desktop\LogJonctions.txt"
cls
Echo Le PC va redmarrer.
Echo Pour vrifier, la modif tapez "Echo %%public%%" dans une fentre de commande.
pause
start shutdown -R -T 10 -f
goto end

:NoLoad
cls
Echo excutez ce script en administrateur
goto end

:PositionError
cls
Echo la position introduite: %NewPosition%
Echo semble ne pas tre correct.
Echo Cela doit ressembler :
Echo X:\Dossiers
Echo Recommencez
Goto end

:FolderError
cls
Echo le dossier %NewPosition%\Public ne peut tre cre.
echo Vrifiez que l'emplacement %NewPosition% est correct et recommencez
goto end

:NoChange
cls
Echo La nouvelle position est identique  l'ancienne
Echo Recommencez
goto end

:JonctionExist
cls
Echo Une jonction "Public" existe dans %NewPosition%\
Echo Voir ci dessous
Echo =====================================================
Dir %NewPosition% /AL
Echo =====================================================
Echo Supprimez l ou choisissez un autre emplacement pour le dossier public
goto end

:end
Echo Fin du script
pause
