@Echo off
rem Copyright (C)  2010  Alain Quarr
rem    Permission is granted to copy, distribute and/or modify this document
rem    under the terms of the GNU Free Documentation License, Version 1.3
rem    or any later version published by the Free Software Foundation;
rem    with no Invariant Sections, no Front-Cover Texts, and no Back-Cover Texts.
rem    
rem    Merci de m'envoyer un mail avec toutes remarques et/ou modifications.
rem    alain.quarre@gmail.com
rem
rem
rem    http://www.forum-seven.com/forum/viewtopic.php?f=8&t=4073
rem
rem ###########################################
rem # Modification des paramtres de position #
rem # des dossiers utilisateurs par dfaut    #
rem # Auteur: Alain Quarr                    #
rem # Date de cration: 31/10/2008 pour XP    #
rem # Adaptation Windows Seven: 14/01/2010    #
rem # Ajout de modularit: 02/03/2010         #
rem # Gestion multilangue:                    #
rem #                                         #
rem ###########################################
rem http://www.forum-seven.com/forum/viewtopic.php?f=8&t=4073
title User Folder Default Position Setting - Script by Alain Quarr - V4.0.1
mode con lines=40 cols=120
%~d0
cd %~p0

rem Donnez ici le nom du dossier de langue par dfaut
rem give here default language folder name.
set lang=EN
if not exist "%lang%" goto DefaultLanguageChoice

:LanguageChoice
cls
FOR /F "eol=< delims=; tokens=1-2" %%Q in ('findstr /B /C:STR033 %lang%\Lang.ini') do echo %%R
echo -------------------
for /f "tokens=1" %%G in ('dir /ad /b') do (
        echo %%G
        )
echo -------------------
FOR /F "eol=< delims=; tokens=1-2" %%Q in ('findstr /B /C:STR034 %lang%\Lang.ini') do echo %%R
FOR /F "eol=< delims=; tokens=1-2" %%Q in ('findstr /B /C:STR035 %lang%\Lang.ini') do echo %%R %lang%
set /p Lchoice=
if "%Lchoice%" NEQ "" if not exist "%Lchoice%" goto LanguageChoice
if "%Lchoice%" NEQ "" set lang=%Lchoice%

If not exist %lang% goto NoLangFolder

rem test si le script est lanc d'un dossiers de destination contenu dans PositionDefaultFolderSevenModular.ini (interdit)
FOR /F "eol=< delims=* tokens=1-6" %%a in (%Lang%\PositionDefaultFolderSevenModular.ini) do (
        if "%~dp0" == "%%f\" goto PositionProhibited
        )
 
rem Test Administrateur en chargeant la ruche default user
rem Testing administrative right with loading default user hive
reg load  Hkey_local_machine\.LoadDefUser "C:\Users\Default\NTUser.dat">nul
if %errorlevel% == 1 goto NoLoad

Rem Ajout des cl absente de la ruche Default User
REG ADD "HKEY_LOCAL_MACHINE\.LoadDefUser\Software\Microsoft\Windows\CurrentVersion\Explorer\User Shell Folders" /v "{4C5C32FF-BB9D-43B0-B5B4-2D72E54EAAA4}" /t REG_EXPAND_SZ /d "%%USERPROFILE%%\Saved Games" /f
REG ADD "HKEY_LOCAL_MACHINE\.LoadDefUser\Software\Microsoft\Windows\CurrentVersion\Explorer\User Shell Folders" /v "{56784854-C6CB-462B-8169-88E350ACB882}" /t REG_EXPAND_SZ /d %%USERPROFILE%%\Contacts /f
REG ADD "HKEY_LOCAL_MACHINE\.LoadDefUser\Software\Microsoft\Windows\CurrentVersion\Explorer\User Shell Folders" /v "{7D1D3A04-DEBB-4115-95CF-2F29DA2920DA}" /t REG_EXPAND_SZ /d %%USERPROFILE%%\Searches /f
REG ADD "HKEY_LOCAL_MACHINE\.LoadDefUser\Software\Microsoft\Windows\CurrentVersion\Explorer\User Shell Folders" /v "{BFB9D5E0-C6A9-404C-B2B2-AE6DB6AF4968}" /t REG_EXPAND_SZ /d %%USERPROFILE%%\Links /f
REG ADD "HKEY_LOCAL_MACHINE\.LoadDefUser\Software\Microsoft\Windows\CurrentVersion\Explorer\User Shell Folders" /v "CD Burning" /t REG_EXPAND_SZ /d %%USERPROFILE%%\AppData\Local\Microsoft\Windows\Burn\Burn /f

Rem Backup des donnes originales
if exist "%systemroot%/OriginalUserShellFolder.reg" goto suite
reg export "HKEY_LOCAL_MACHINE\.LoadDefUser\Software\Microsoft\Windows\CurrentVersion\Explorer\User Shell Folders" "%systemroot%/OriginalUserShellFolder.reg"

:suite
Echo ------------------------------------------------------------
cls
IF NOT EXIST Jonctions.cmd goto NoJonctions
IF NOT EXIST %lang%\PositionDefaultFolderSevenModular.ini goto NoIniFile


FOR /F "eol=< delims=; tokens=1-2" %%Q in ('findstr /B /C:STR001 %lang%\Lang.ini') do echo %%R %Lang%\PositionDefaultFolderSevenModular.ini
FOR /F "eol=< delims=* tokens=1-7" %%a in (%Lang%\PositionDefaultFolderSevenModular.ini) do (
        If NOT %%c == AddUserName If Not %%c == NoUserName goto UsernameSetting
        )

FOR /F "eol=< delims=* tokens=1-7" %%a in (%Lang%\PositionDefaultFolderSevenModular.ini) do (
        If NOT %%d == Security If Not %%d == NoSecurity goto SecuritySetting
        )


FOR /F "eol=< delims=* tokens=1-7" %%a in (%Lang%\PositionDefaultFolderSevenModular.ini) do (
        if NOT exist "%%f" mkdir "%%f" > nul
        if NOT exist "%%f" Goto FolderError
        if %%g == Hide-Sys attrib +H +S "%%f"
        )
cls

FOR /F "eol=< delims=; tokens=1-2" %%Q in ('findstr /B /C:STR036 %lang%\Lang.ini') do set MoveTo= %%R

FOR /F "eol=< delims=; tokens=1-2" %%Q in ('findstr /B /C:STR002 %lang%\Lang.ini') do echo %%R
FOR /F "eol=< delims=* tokens=1-7" %%a in (%Lang%\PositionDefaultFolderSevenModular.ini) do (
        If %%c == AddUserName if %%d == Security echo %%a %MoveTo% %%f\%%username%%\%%e [%%d]
        If %%c == NoUserName if %%d == Security  echo %%a %MoveTo% %%f\%%e [%%d]
        If %%c == AddUserName if %%d == NoSecurity echo %%a %MoveTo% %%f\%%username%%\%%e
        If %%c == NoUserName if %%d == NoSecurity echo %%a %MoveTo% %%f\%%e
        )
Echo ------------------------------------------------------------------
FOR /F "eol=< delims=; tokens=1-2" %%Q in ('findstr /B /C:STR003 %lang%\Lang.ini') do echo %%R
FOR /F "eol=< delims=; tokens=1-2" %%Q in ('findstr /B /C:STR004 %lang%\Lang.ini') do echo %%R
FOR /F "eol=< delims=; tokens=1-2" %%Q in ('findstr /B /C:STR005 %lang%\Lang.ini') do echo %%R
Echo ------------------------------------------------------------------
FOR /F "eol=< delims=; tokens=1-2" %%Q in ('findstr /B /C:STR006 %lang%\Lang.ini') do echo %%R
FOR /F "eol=< delims=; tokens=1-2" %%Q in ('findstr /B /C:STR007 %lang%\Lang.ini') do echo %%R
FOR /F "eol=< delims=; tokens=1-2" %%Q in ('findstr /B /C:STR008 %lang%\Lang.ini') do echo %%R
FOR /F "eol=< delims=; tokens=1-2" %%Q in ('findstr /B /C:STR009 %lang%\Lang.ini') do echo %%R
FOR /F "eol=< delims=; tokens=1-2" %%Q in ('findstr /B /C:STR010 %lang%\Lang.ini') do echo %%R
Echo ------------------------------------------------------------------
FOR /F "eol=< delims=; tokens=1-2" %%Q in ('findstr /B /C:STR011 %lang%\Lang.ini') do echo %%R
pause>nul

cls

FOR /F "eol=< delims=; tokens=1-2" %%Q in ('findstr /B /C:STR012 %lang%\Lang.ini') do echo %%R
Echo ==============================================================
FOR /F "eol=< delims=* tokens=1-7" %%a in (%Lang%\PositionDefaultFolderSevenModular.ini) do (
        del "%%f\Jonctions.cmd" /ASH /F>nul
        xcopy Jonctions.cmd "%%f" /y /q
        attrib "%%f\Jonctions.cmd" +S +H
        if NOT exist "%%f\Jonctions.cmd" goto NoCopy
        del "%%f\PositionDefaultFolderSevenModular.ini" /ASH /F>nul
        xcopy %Lang%\PositionDefaultFolderSevenModular.ini "%%f" /y /q
        attrib "%%f\PositionDefaultFolderSevenModular.ini" +S +H
        REG ADD "HKEY_LOCAL_MACHINE\.LoadDefUser\Software\Microsoft\Windows\CurrentVersion\RunOnce" /v "Jonctions" /t REG_SZ /d "%%f\Jonctions.cmd" /f
        if NOT exist "%%f\PositionDefaultFolderSevenModular.ini" goto NoCopy
        goto RegModif
        )

:RegModif
Echo ==============================================================
FOR /F "eol=< delims=; tokens=1-2" %%Q in ('findstr /B /C:STR013 %lang%\Lang.ini') do echo %%R

FOR /F "eol=< delims=* tokens=1-7" %%a in (%Lang%\PositionDefaultFolderSevenModular.ini) do (
        If %%c == AddUserName REG ADD "HKEY_LOCAL_MACHINE\.LoadDefUser\Software\Microsoft\Windows\CurrentVersion\Explorer\User Shell Folders" /v "%%b" /t REG_EXPAND_SZ /d "%%f\%%username%%\%%e" /f
        If %%c == NoUserName  REG ADD "HKEY_LOCAL_MACHINE\.LoadDefUser\Software\Microsoft\Windows\CurrentVersion\Explorer\User Shell Folders" /v "%%b" /t REG_EXPAND_SZ /d "%%f\%%e" /f
        )

echo Disable Index Library Experience
REG ADD "HKEY_LOCAL_MACHINE\.LoadDefUser\Software\Policies\Microsoft\Windows\Explorer" /v DisableIndexedLibraryExperience /t REG_SZ /d 1 /f

:Unload
Echo ==============================================================
FOR /F "eol=< delims=; tokens=1-2" %%Q in ('findstr /B /C:STR014 %lang%\Lang.ini') do echo %%R
REG UNLOAD Hkey_local_machine\.LoadDefUser
Echo ==============================================================
FOR /F "eol=< delims=; tokens=1-2" %%Q in ('findstr /B /C:STR015 %lang%\Lang.ini') do echo %%R

goto end

:FolderError
cls
FOR /F "eol=< delims=; tokens=1-2" %%Q in ('findstr /B /C:STR016 %lang%\Lang.ini') do echo %%R
FOR /F "eol=< delims=; tokens=1-2" %%Q in ('findstr /B /C:STR017 %lang%\Lang.ini') do echo %%R
goto end

:Nocopy
cls
FOR /F "eol=< delims=; tokens=1-2" %%Q in ('findstr /B /C:STR018 %lang%\Lang.ini') do echo %%R
echo PositionDefaultFolderSevenModular.ini
goto end

:NoJonctions
cls
FOR /F "eol=< delims=; tokens=1-2" %%Q in ('findstr /B /C:STR020 %lang%\Lang.ini') do echo %%R
Goto end

:NoIniFile
cls
FOR /F "eol=< delims=; tokens=1-2" %%Q in ('findstr /B /C:STR021 %lang%\Lang.ini') do echo %%R
Goto end

:NoLoad
cls
FOR /F "eol=< delims=; tokens=1-2" %%Q in ('findstr /B /C:STR022 %lang%\Lang.ini') do echo %%R
FOR /F "eol=< delims=; tokens=1-2" %%Q in ('findstr /B /C:STR023 %lang%\Lang.ini') do echo %%R
FOR /F "eol=< delims=; tokens=1-2" %%Q in ('findstr /B /C:STR024 %lang%\Lang.ini') do echo %%R
goto end

:UsernameSetting
cls
FOR /F "eol=< delims=; tokens=1-2" %%Q in ('findstr /B /C:STR025 %lang%\Lang.ini') do echo %%R
echo PositionDefaultFolderSevenModular.ini
FOR /F "eol=< delims=; tokens=1-2" %%Q in ('findstr /B /C:STR026 %lang%\Lang.ini') do echo %%R
goto end

:SecuritySetting
cls
FOR /F "eol=< delims=; tokens=1-2" %%Q in ('findstr /B /C:STR028 %lang%\Lang.ini') do echo %%R
echo PositionDefaultFolderSevenModular.ini
FOR /F "eol=< delims=; tokens=1-2" %%Q in ('findstr /B /C:STR029 %lang%\Lang.ini') do echo %%R
goto end

:PositionProhibited
FOR /F "eol=< delims=; tokens=1-2" %%Q in ('findstr /B /C:STR030 %lang%\Lang.ini') do echo %%R
echo %~pd0
FOR /F "eol=< delims=; tokens=1-2" %%Q in ('findstr /B /C:STR031 %lang%\Lang.ini') do echo %%R
FOR /F "eol=< delims=; tokens=1-2" %%Q in ('findstr /B /C:STR032 %lang%\Lang.ini') do echo %%R
goto end

:NoLangFolder
echo check folder %lang% 
goto end

:DefaultLanguageChoice
FOR /F "eol=< delims=; tokens=1-2" %%Q in ('findstr /B /C:STR037 FR\Lang.ini') do echo %%R
FOR /F "eol=< delims=; tokens=1-2" %%Q in ('findstr /B /C:STR037 EN\Lang.ini') do echo %%R
Goto end

:end
pause